Команда "ng -v" отображает ошибку на rxjs

mohsenmadi спросил: 12 мая 2018 в 04:31 в: angular

После выпуска следующих двух инструкций для обновления моего cli:

npm upgrade -g @angular/cli
npm upgrade @angular/cli

Выдача ng -v дает следующее:

Angular CLI: 6.0.7
Node: 8.11.2
OS: darwin x64
Angular: 
... Package                      Version
------------------------------------------------------
@angular-devkit/architect    0.6.7
@angular-devkit/core         0.6.7
@angular-devkit/schematics   0.6.7
@schematics/angular          0.6.7
@schematics/update           0.6.7
rxjs                         <error>

Итак, rxjs перечисляет ошибку в версии, а затем информация о других плагинах прервана. Есть ли исправление?


1 ответ

mohsenmadi ответил: 12 мая 2018 в 04:50

Кажется, что локальный cli мешает. Я удалил локальный код npm uninstall @angular/cli и снова запустил ng -v. Теперь все хорошо.